import { HttpError, StateResource } from '@alfa-client/tech-shared';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { SettingName } from '../admin-settings.model';
import { PostfachResourceService } from './postfach-resource.service';
import { Postfach, PostfachResource, PostfachSettingsItem } from './postfach.model';

@Injectable()
export class PostfachService {
  constructor(private postfachResourceService: PostfachResourceService) {}

  public get(): Observable<StateResource<PostfachResource>> {
    return this.postfachResourceService.get();
  }

  public save(postfach: Postfach): Observable<StateResource<PostfachResource | HttpError>> {
    return this.postfachResourceService.save(this.buildPostfachSettingItem(postfach));
  }

  private buildPostfachSettingItem(postfach: Postfach): PostfachSettingsItem {
    return {
      name: SettingName.POSTFACH,
      settingBody: postfach,
    };
  }
}
