import faker from '@faker-js/faker';
import { toResource } from '../../../tech-shared/test/resource';
import { SettingItemResource, SettingName } from '../../src/lib/admin-settings.model';
import {
  Postfach,
  PostfachResource,
  PostfachSettingsItem,
} from '../../src/lib/postfach/postfach.model';

export function createPostfach(): Postfach {
  return {
    absender: {
      name: faker.name.lastName(),
      anschrift: faker.internet.email(),
      dienst: faker.name.jobTitle(),
      mandant: faker.name.jobArea(),
      gemeindeschluessel: faker.address.countryCode(),
    },
    signatur: faker.lorem.lines(3),
  };
}

export function createPostfachSettingItem(): PostfachSettingsItem {
  return {
    name: SettingName.POSTFACH,
    settingBody: createPostfach(),
  };
}

export function createPostfachResource(): PostfachResource {
  return toResource(createPostfachSettingItem());
}

export function createSettingItemResource(): SettingItemResource {
  return toResource({
    name: faker.random.word(),
    settingBody: {},
  });
}
