import {
  ListResourceServiceConfig,
  ResourceListService,
  ResourceRepository,
} from '@alfa-client/tech-shared';
import {
  VorgangResource,
  VorgangService,
  VorgangWithEingangLinkRel,
} from '@alfa-client/vorgang-shared';
import { CollaborationListLinkRel } from './collaboration.linkrel';
import { CollaborationListResource, CollaborationResource } from './collaboration.model';

export class CollaborationListResourceService extends ResourceListService<
  VorgangResource,
  CollaborationListResource,
  CollaborationResource
> {}

export function createCollaborationListResourceService(
  repository: ResourceRepository,
  vorgangService: VorgangService,
) {
  return new ResourceListService(buildConfig(vorgangService), repository);
}

function buildConfig(vorgangService: VorgangService): ListResourceServiceConfig<VorgangResource> {
  return {
    baseResource: vorgangService.getVorgangWithEingang(),
    listLinkRel: VorgangWithEingangLinkRel.COLLABORATIONS,
    listResourceListLinkRel: CollaborationListLinkRel.COLLABORATION_LIST,
    createLinkRel: CollaborationListLinkRel.CREATE_COLLABORATION_REQUEST,
  };
}
