import {
  ResourceRepository,
  ResourceSearchService,
  SearchResourceServiceConfig,
  mapToResource,
} from '@alfa-client/tech-shared';
import {
  VorgangResource,
  VorgangService,
  VorgangWithEingangLinkRel,
} from '@alfa-client/vorgang-shared';
import {
  OrganisationsEinheitListResource,
  OrganisationsEinheitResource,
} from './organisations-einheit.model';

export class OrganisationsEinheitResourceSearchService extends ResourceSearchService<
  VorgangResource,
  OrganisationsEinheitListResource,
  OrganisationsEinheitResource
> {}

export function createOrganisationsEinheitResourceSearchService(
  repository: ResourceRepository,
  vorgangService: VorgangService,
) {
  return new ResourceSearchService(buildConfig(vorgangService), repository);
}

function buildConfig(vorgangService: VorgangService): SearchResourceServiceConfig<VorgangResource> {
  return {
    baseResource: vorgangService.getVorgangWithEingang().pipe(mapToResource<VorgangResource>()),
    searchLinkRel: VorgangWithEingangLinkRel.SEARCH_ORGANISATIONS_EINHEIT,
  };
}
