import { StateResource } from '@alfa-client/tech-shared';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { OrganisationsEinheitResourceSearchService } from './organisations-einheit-resource-search.service';
import {
  OrganisationsEinheitListResource,
  OrganisationsEinheitResource,
} from './organisations-einheit.model';

@Injectable()
export class OrganisationsEinheitService {
  constructor(private readonly searchService: OrganisationsEinheitResourceSearchService) {}

  public getSearchResultList(): Observable<StateResource<OrganisationsEinheitListResource>> {
    return this.searchService.getResultList();
  }

  public search(searchBy: string): void {
    this.searchService.search(searchBy);
  }

  public clearSearchResult(): void {
    this.searchService.clearResultList();
  }

  public getSelectedResult(): Observable<OrganisationsEinheitResource> {
    return this.searchService.getSelectedResult();
  }

  public selectSearchResult(organisationsEinheitResource: OrganisationsEinheitResource): void {
    this.searchService.selectResult(organisationsEinheitResource);
  }

  public clearSelectedResult(): void {
    this.searchService.clearSelectedResult();
  }
}
