import { CollaborationSharedModule } from '@alfa-client/collaboration-shared';
import { TechSharedModule } from '@alfa-client/tech-shared';
import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import {
  ButtonWithSpinnerComponent,
  TextEditorComponent,
  TextareaEditorComponent,
} from '@ods/component';
import {
  ButtonComponent,
  CloseIconComponent,
  CollaborationIconComponent,
  InstantSearchComponent,
  OfficeIconComponent,
  SaveIconComponent,
  SearchIconComponent,
} from '@ods/system';
import { CollaborationInVorgangContainerComponent } from './collaboration-in-vorgang-container/collaboration-in-vorgang-container.component';
import { CollaborationInVorgangComponent } from './collaboration-in-vorgang-container/collaboration-in-vorgang/collaboration-in-vorgang.component';
import { CollaborationRequestFormComponent } from './collaboration-in-vorgang-container/collaboration-request-form/collaboration-request-form.component';
import { OrganisationsEinheitContainerComponent } from './collaboration-in-vorgang-container/collaboration-request-form/organisations-einheit-container/organisations-einheit-container.component';
import { OrganisationsEinheitComponent } from './collaboration-in-vorgang-container/collaboration-request-form/organisations-einheit-container/organisations-einheit/organisations-einheit.component';
import { SearchOrganisationsEinheitContainerComponent } from './search-organisations-einheit-container/search-organisations-einheit-container.component';
import { SearchOrganisationsEinheitFormComponent } from './search-organisations-einheit-container/search-organisations-einheit-form/search-organisations-einheit-form.component';

@NgModule({
  imports: [
    CommonModule,
    ButtonComponent,
    OfficeIconComponent,
    SaveIconComponent,
    CloseIconComponent,
    SearchIconComponent,
    CollaborationSharedModule,
    CollaborationIconComponent,
    TextEditorComponent,
    TextareaEditorComponent,
    FormsModule,
    ReactiveFormsModule,
    InstantSearchComponent,
    TechSharedModule,
    ButtonWithSpinnerComponent,
  ],
  declarations: [
    CollaborationInVorgangContainerComponent,
    CollaborationInVorgangComponent,
    CollaborationRequestFormComponent,
    SearchOrganisationsEinheitContainerComponent,
    SearchOrganisationsEinheitFormComponent,
    OrganisationsEinheitContainerComponent,
    OrganisationsEinheitComponent,
  ],
  exports: [CollaborationInVorgangContainerComponent],
})
export class CollaborationModule {}
