import { existsAsHtmlElement, notExistsAsHtmlElement } from '@alfa-client/test-utils';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { AttachmentHeaderComponent } from './attachment-header.component';

describe('AttachmentHeaderComponent', () => {
  let component: AttachmentHeaderComponent;
  let fixture: ComponentFixture<AttachmentHeaderComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      imports: [AttachmentHeaderComponent],
    }).compileComponents();

    fixture = TestBed.createComponent(AttachmentHeaderComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
  describe('title', () => {
    it('should show heading', () => {
      component.title = 'Test';
      fixture.detectChanges();

      existsAsHtmlElement(fixture, 'h4');
    });

    it('should not show heading', () => {
      component.title = '';
      fixture.detectChanges();

      notExistsAsHtmlElement(fixture, 'h4');
    });
  });
});
