import { moduleMetadata, type Meta, type StoryObj } from '@storybook/angular';

import { BescheidStatusTextComponent } from './bescheid-status-text.component';

const meta: Meta<BescheidStatusTextComponent> = {
  title: 'Bescheid status text',
  component: BescheidStatusTextComponent,
  decorators: [
    moduleMetadata({
      imports: [BescheidStatusTextComponent],
    }),
  ],
  excludeStories: /.*Data$/,
  tags: ['autodocs'],
};

export default meta;
type Story = StoryObj<BescheidStatusTextComponent>;

export const Default: Story = {
  args: { dateText: '31.12.1999', bewilligt: true, hasBescheidDraft: false },
  argTypes: {
    dateText: { description: 'Date of decision' },
    bewilligt: { table: { defaultValue: { summary: 'false' } } },
    hasBescheidDraft: { table: { defaultValue: { summary: 'false' } } },
  },
};
