import { type Meta, type StoryObj } from '@storybook/angular';
import { InstantSearchComponent } from './instant-search.component';

const meta: Meta<InstantSearchComponent> = {
  title: 'Instant search/Instant search',
  component: InstantSearchComponent,
  excludeStories: /.*Data$/,
  tags: ['autodocs'],
};

export default meta;
type Story = StoryObj<InstantSearchComponent>;

export const Default: Story = {
  args: {
    label: '',
    placeholder: 'zuständige Stelle suchen',
    headerText: 'In der OZG-Cloud',
  },
};

export const SearchResults: Story = {
  args: {
    label: '',
    placeholder: 'zuständige Stelle suchen',
    headerText: 'In der OZG-Cloud',
    searchResults: [
      {
        title: 'Landeshauptstadt Kiel - Ordnungsamt, Gewerbe- und Schornsteinfegeraufsicht',
        description: 'Fabrikstraße  8-10, 24103 Kiel',
      },
      {
        title: 'Amt für Digitalisierung, Breitband und Vermessung Nürnberg Außenstelle Hersbruck',
        description: 'Rathausmarkt 7, Hersbruck',
      },
    ],
  },
};
