import { ConvertToBooleanPipe } from './convert-to-boolean.pipe';

import * as TechUtil from '../tech.util';

describe('convertToBoolean', () => {
  const pipe: ConvertToBooleanPipe = new ConvertToBooleanPipe();

  it('create an instance', () => {
    expect(pipe).toBeTruthy();
  });

  describe('transform', () => {
    const booleanStr: string = 'true';
    let convertToBooleanSpy: jest.SpyInstance;

    beforeEach(() => {
      convertToBooleanSpy = jest.spyOn(TechUtil, 'convertToBoolean').mockReturnValue(true);
    });

    it('should call convert to boolean', () => {
      pipe.transform(booleanStr);

      expect(convertToBooleanSpy).toHaveBeenCalledWith(booleanStr);
    });

    it('should return converted result', () => {
      jest.spyOn(TechUtil, 'convertToBoolean').mockReturnValue(true);

      const converted: boolean = pipe.transform(booleanStr);

      expect(converted).toBeTruthy();
    });
  });
});
