/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { Resource } from '@ngxp/rest';
import { createDummyResource } from 'libs/tech-shared/test/resource';
import { NotHasLinkPipe } from './not-has-link.pipe';

describe('NotHasLinkPipe', () => {
  const selfLink: string = 'self';
  const dummyLink: string = 'dummy';
  const resource: Resource = createDummyResource([selfLink]);
  const pipe: NotHasLinkPipe = new NotHasLinkPipe();

  it('resource has link', () => {
    const result: boolean = pipe.transform(resource, selfLink);

    expect(result).toBe(false);
  });
  it('resource doesnt has link', () => {
    const result: boolean = pipe.transform(resource, dummyLink);

    expect(result).toBe(true);
  });
});
