/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { Component, Input } from '@angular/core';
import { CommandResource } from '@alfa-client/command-shared';
import { StateResource } from '@alfa-client/tech-shared';
import {
  WiedervorlageLinkRel,
  WiedervorlageResource,
  WiedervorlageService,
} from '@alfa-client/wiedervorlage-shared';
import { Observable } from 'rxjs';

@Component({
  selector: 'alfa-erledigen-button-container',
  templateUrl: './erledigen-button-container.component.html',
  styleUrls: ['./erledigen-button-container.component.scss'],
})
export class ErledigenButtonContainerComponent {
  @Input() wiedervorlage: WiedervorlageResource;

  erledigenCommand$: Observable<StateResource<CommandResource>>;

  readonly linkRel = WiedervorlageLinkRel;

  constructor(private wiedervorlageService: WiedervorlageService) {}

  erledigen(): void {
    this.erledigenCommand$ = this.wiedervorlageService.erledigen();
  }
}
