package de.ozgcloud.alfa.bescheid;

import static org.springframework.hateoas.server.mvc.WebMvcLinkBuilder.*;

import org.springframework.hateoas.EntityModel;
import org.springframework.hateoas.server.RepresentationModelAssembler;
import org.springframework.stereotype.Component;

import de.ozgcloud.alfa.common.ModelBuilder;
import lombok.RequiredArgsConstructor;

@Component
@RequiredArgsConstructor
class DocumentModelAssembler implements RepresentationModelAssembler<Document, EntityModel<Document>> {

	static final String REL_FILE = "file";

	@Override
	public EntityModel<Document> toModel(Document document) {
		var selfLink = linkTo(methodOn(DocumentController.class).getDocument(document.getId()));

		return ModelBuilder.fromEntity(document)
				.addLink(selfLink.withSelfRel())
				.buildModel();
	}
}
