package de.ozgcloud.alfa.collaboration;

import org.springframework.hateoas.CollectionModel;
import org.springframework.hateoas.EntityModel;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import lombok.RequiredArgsConstructor;

@RestController
@RequestMapping(CollaborationController.PATH)
@RequiredArgsConstructor
public class CollaborationController {

	private final CollaborationModelAssembler assembler;
	private final CollaborationService service;

	static final String PATH = "/api/vorgangs"; // NOSONAR

	@GetMapping("/{vorgangId}/collaborations")
	public CollectionModel<EntityModel<Collaboration>> getAllByVorgangId(@PathVariable String vorgangId) {
		return assembler.toCollectionModel(service.getCollaborations(vorgangId), vorgangId);
	}
}
