package de.ozgcloud.alfa.collaboration;

import static org.springframework.hateoas.server.mvc.WebMvcLinkBuilder.*;

import jakarta.annotation.Nonnull;

import org.springframework.hateoas.CollectionModel;
import org.springframework.hateoas.EntityModel;
import org.springframework.hateoas.server.RepresentationModelAssembler;
import org.springframework.stereotype.Component;

import de.ozgcloud.alfa.common.ModelBuilder;

@Component
class OrganisationsEinheitHeaderModelAssembler
		implements RepresentationModelAssembler<OrganisationsEinheitHeader, EntityModel<OrganisationsEinheitHeader>> {

	@Override
	public EntityModel<OrganisationsEinheitHeader> toModel(@Nonnull OrganisationsEinheitHeader entity) {
		return ModelBuilder.fromEntity(entity)
				.addLink(linkTo(OrganisationsEinheitController.class).slash(entity.getId()).withSelfRel())
				.buildModel();
	}

	@Override
	public CollectionModel<EntityModel<OrganisationsEinheitHeader>> toCollectionModel(Iterable<? extends OrganisationsEinheitHeader> entities) {
		return RepresentationModelAssembler.super.toCollectionModel(entities)
				.add(linkTo(OrganisationsEinheitController.class).withSelfRel());
	}
}
