package de.ozgcloud.alfa.vorgang;

import java.util.Collections;
import java.util.List;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import de.ozgcloud.alfa.vorgang.VorgangProperties.VorgangProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@Configuration
@ConfigurationProperties(prefix = "ozgcloud.vorgang")
public class VorgangProcessorProperties {

	/**
	 * Matching condition for processing based on vorgang#formId and vorgang#formEngineName.
	 */
	private List<VorgangProperty> processor = Collections.emptyList();
	
	/**
	 * Name of used processor.
	 */
	private List<String> processorNames = Collections.emptyList();
	
}
