package de.ozgcloud.alfa.collaboration;

import java.util.UUID;

import de.ozgcloud.zufi.grpc.organisationseinheit.GrpcXzufiId;
import de.ozgcloud.zufi.grpc.organisationseinheit.GrpcXzufiId.Builder;

public class GrpcXzufiIdTestFactory {
	public static final String ORGANISATIONS_EINHEIT_ID = UUID.randomUUID().toString();
	public static final String SCHEME_AGENCY_ID = UUID.randomUUID().toString();

	public static GrpcXzufiId create() {
		return createBuilder(ORGANISATIONS_EINHEIT_ID, SCHEME_AGENCY_ID).build();
	}

	public static GrpcXzufiId create(String id, String schemeAgencyId) {
		return createBuilder(id, schemeAgencyId).build();
	}

	public static Builder createBuilder(String id, String schemeAgencyId) {
		return GrpcXzufiId.newBuilder().setId(id).setSchemeAgencyId(schemeAgencyId);
	}
}
