package de.ozgcloud.alfa.common;

import java.time.ZonedDateTime;

import de.ozgcloud.alfa.common.file.OzgFile;
import de.xoev.xdomea.AnlageDokumentType;

public class AnlageDokumentTypeBuilder {
	private OzgFile ozgFile;
	private ZonedDateTime createdAt;

	public static AnlageDokumentTypeBuilder builder() {
		return new AnlageDokumentTypeBuilder();
	}

	public AnlageDokumentTypeBuilder withOzgFile(OzgFile ozgFile) {
		this.ozgFile = ozgFile;
		return this;
	}

	public AnlageDokumentTypeBuilder withCreatedAt(ZonedDateTime createdAt) {
		this.createdAt = createdAt;
		return this;
	}

	public AnlageDokumentType build() {
		var anlage = new AnlageDokumentType();
		anlage.setIdentifikation(IdentifikationObjektTypeBuilder.builder()
				.withObjectID(ozgFile.getId().toString())
				.build());
		anlage.getVersion().add(VersionTypeBuilder.builder()
				.withCreatedAt(createdAt)
				.withOzgFile(ozgFile).build());
		return anlage;
	}

}
